# Next.js Web Scraper Playground

##### Build and test your own web scraper APIs with [Next.js API Routes](https://nextjs.org/docs/api-routes/introduction) and [cheerio](https://cheerio.js.org).

----

For more info on building your own scraping APIs, checkout [Create a public API by web scraping in NextJS](https://dev.to/mtliendo/create-a-public-api-by-web-scraping-in-nextjs-2f5n) by [Michael Liendo](https://twitter.com/mtliendo) and [Build a web scraper with Node](https://pusher.com/tutorials/web-scraper-node/) by [Ayooluwa Isaiah](https://twitter.com/ayisaiah).

To contribute to or make your own version of this project, grab the code from the repository and install dependencies:

```
npm install
```

Run the app in the development mode:

```
npm run dev
```

Open [http://localhost:3000](http://localhost:3000) to view in the browser.

Apply auto-formatting as you make changes:

```
npm run format-watch
```

This project includes [Cypress](https://www.cypress.io/) integration tests. Run tests in a browser:

```
npm run cypress
```

Run headless tests:

```
npm run test
```

To run tests then push to `main`:

```
npm run deploy
```


## Deploy to Vercel

[Vercel](https://vercel.com) offers a zero-configuration single-command deployment.

1. Install `vercel` from [vercel.com/cli](https://vercel.com/cli) or via node with `npm install -g vercel`.

2. Run `vercel` from your project directory and follow the prompts.

Read more about the Vercel CLI [here](https://vercel.com/cli). You can also set up automatic deployments from git branches.
<br>
<br>

----

This project was bootstrapped with [Create Next App](https://github.com/segmentio/create-next-app).

Find the most recent version of this guide at [here](https://github.com/segmentio/create-next-app/blob/master/lib/templates/default/README.md). And check out [Next.js repo](https://github.com/zeit/next.js) for the most up-to-date info.
<br>
<br>